Realtime Plugin shows only broken images

General discussion about Plugins for Cacti

Moderators: Moderators, Developers

Post Reply
Author
Message
142750
Posts: 1
Joined: Tue Sep 19, 2017 10:23 am

Realtime Plugin shows only broken images

#1 Post by 142750 » Tue Sep 19, 2017 10:34 am

Hello there,

i installed a Cacti 0.8.8.-server from official linux-repository on a Ubuntu Server-distribution 16.04.3 .
It is working properly so far. But the realtime-Plug from the official Cacti-website does not work properly. It shows only little windows on my browsers without any graph inside (Mozilla and MS Edge).

I created a realtime-cache-directory and entered permissions "666" and after that i tried also "777". But it did not help.
It seems that there is any php-error but i cannot define what it is about.

Here is my error-log of apache2 about this error (occurs everytime when i click the realtime-symbol at my graph):


_________
_________
PHP Fatal error: Uncaught Error: Call to undefined function split() in /usr/local/share/cacti/plugins/realtime/poller_rt.php:90
Stack trace:
#0 {main}
thrown in /usr/local/share/cacti/plugins/realtime/poller_rt.php on line 90
[Tue Sep 19 17:14:44.264393 2017] [:error] [pid 3747] [client 10.0.1.254:64107] PHP Fatal error: Uncaught Error: Call to undefined function ereg() in /usr/local/share/cacti/plugins/realtime/graph_image_rt.php:252\nStack trace:\n#0 /usr/local/share/cacti/plugins/realtime/graph_image_rt.php(86): rrdtool_function_graph_rt('44', Array)\n#1 {main}\n thrown in /usr/local/share/cacti/plugins/realtime/graph_image_rt.php on line 252, referer: http://10.0.3.90/cacti/plugins/realtime ... raph_id=44
_________
_________



I appreciate your answers.

BR
The Number-Guy

cigamit
Developer
Posts: 2782
Joined: Thu Apr 07, 2005 3:29 pm
Location: B/CS Texas
Contact:

Re: Realtime Plugin shows only broken images

#2 Post by cigamit » Fri Sep 22, 2017 10:03 am

142750 wrote:Cacti 0.8.8
142750 wrote:PHP Fatal error: Uncaught Error: Call to undefined function split()
Looks like you are using PHP 7.0 on a seriously old version of Cacti which doesn't support PHP 7.
Your options are either to downgrade PHP to 5.X branch, or upgrade Cacti to the 1.X branch.

Post Reply